[
{
    blockid=option;
    help=logfiles_option_option;
    localvar={
	/* translate this block */
	.level.text="Levels of detail:";
	.level.tip="Events at the speified level and above will be logged";
	.level.labels=["Critical","Error","Warning","Notice","Information","Debug"];
	.path.text="Directory path for log files:";
	.num.text="Number of logs per directory:";
	.size.labels=["Kbyte(s)","Mbyte(s)"];
	.size.text="File size for each log:";
	.size.tip="A new file will be created when log file exceeds the specified size.";
	.roll.text="Create new log every:";
	.roll.labels=["Hour(s)","Day(s)"];
	.max.text="When total log size exceeds:";
	.min.text="When free disk space is less than:";
	.age.text="When a log is older than:";
	.age.labels=["Hour(s)","Day(s)"];
	.rotate.border=[titled,"Log file rotation policy"];
	.expire.border=[titled,"Log file expiration policy"];
    };
    content=[
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    id=levellabel;
		    text=$.level.text;
		    wrap=$g.label.size1;
		    aligny=0.5;
		    target=levelctrl;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=choice;
		    id=levelctrl;
		    label=levellabel;
		    labels=$.level.labels;
		    items=[Critical,Error,Warning,Notice,Information,Debug];
		    val=$loglevel.value;
		    aligny=0.5;
		    tip=$.level.tip;
		},
		{
		    ctrl=hglue;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    id=pathlabel;
		    text=$.path.text;
		    wrap=$g.label.size1;
		    target=pathctrl;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=text;
		    id=pathctrl;
		    val=$logdir.value;
		    label=pathlabel;
		    aligny=0.5;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$.rotate.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=sizelabel;
			    text=$.size.text;
			    wrap=$g.label.size2;
			    target=sizectrl;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    id=sizectrl;
			    val=$maxlogfilesize.value;
			    label=sizelabel;
			    items=[kb,mb];
			    labels=$.size.labels;
			    unit=byte;
			    aligny=0.5;
			    tip=$.size.tip;
			    allowempty=true;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=rolllabel;
			    text=$.roll.text;
			    wrap=$g.label.size2;
			    target=rollctrl;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    items=[hr,day];
			    labels=$.roll.labels;
			    unit=sec;
			    id=rollctrl;
			    val=$rollovertime.value;
			    label=rolllabel;
			    aligny=0.5;
			    allowempty=true;
			},
			{
			    ctrl=hglue;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$.expire.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=numlabel;
			    text=$.num.text;
			    wrap=$g.label.size2;
			    target=numctrl;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    id=numctrl;
			    val=$maxlogfiles.value;
			    label=numlabel;
			    max=100;
			    min=1;
			    aligny=0.5;
			    allowempty=true;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=maxlabel;
			    text=$.max.text;
			    wrap=$g.label.size2;
			    target=maxctrl;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    id=maxctrl;
			    val=$maxlogsize.value;
			    label=maxlabel;
			    items=[kb,mb];
			    labels=$.size.labels;
			    unit=byte;
			    aligny=0.5;
			    allowempty=true;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=minlabel;
			    text=$.min.text;
			    wrap=$g.label.size2;
			    target=minctrl;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    id=minctrl;
			    val=$minfreediskspace.value;
			    label=minlabel;
			    items=[kb,mb];
			    labels=$.size.labels;
			    unit=byte;
			    aligny=0.5;
			    allowempty=true;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=agelabel;
			    text=$.age.text;
			    wrap=$g.label.size2;
			    target=agectrl;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    items=[hr,day];
			    labels=$.age.labels;
			    unit=sec;
			    id=agectrl;
			    val=$expirytime.value;
			    label=agelabel;
			    aligny=0.5;
			    allowempty=true;
			},
			{
			    ctrl=hglue;
			}
		    ]
		}
	    ]
	}
    ]
}
]
